Bug 908058 - Shell themes installed via the user theme extenstion in tweak tool do not update the interface
Summary: Shell themes installed via the user theme extenstion in tweak tool do not upd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-05 18:15 UTC by Ryan Lerch
Modified: 2013-07-17 03:01 UTC (History)
5 users (show)

Fixed In Version: gnome-tweak-tool-3.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-17 03:01:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 703760 0 None None None Never

Description Ryan Lerch 2013-02-05 18:15:35 UTC
Installing a theme using the tweak tool and the user theme extension succeeds (installing the theme using the zip in the tweak tool UI), and it appears in the Drop down. 

However, when trying to select the theme, it does not apply it to the interface. (even after a forced restart of the shell).

Similar behaviour when you manually place the theme directory in ~/.local/share/theme/. It shows up in the tweak tool interface, but does not apply when chosen there from the dropdown.

Note also, that themes that are installed via yum, (e.g. gnome-shell-theme-orta) do work fine.

Comment 1 Ryan Lerch 2013-02-05 18:20:39 UTC
This issue was originally mentioned in an ask fedora question:
https://ask.fedoraproject.org/question/3842/gnome-shell-themes-wont-change

Comment 2 chris 2013-06-19 08:41:12 UTC
the themes are copied to ~/.local/share/themes by the tool and do not work if selected.
If I copy them to ~/.themes everything works as expected.

Comment 3 Mohamed El Morabity 2013-07-07 22:33:22 UTC
It looks like the GNOME Shell user theme extension only loads user themes from ~/.themes, whereas GNOME Tweak Tool deploys them in ~/.local/share/themes.
The user-theme extension should also rely on the default XDG base directory to load themes. An bug report will be sent upstream.
Meanwhile a fix update will be soon available for GNOME Tweak Tool.

Comment 4 Fedora Update System 2013-07-08 00:09:44 UTC
gnome-tweak-tool-3.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-tweak-tool-3.8.0-3.fc19

Comment 5 Fedora Update System 2013-07-09 01:35:01 UTC
Package gnome-tweak-tool-3.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-tweak-tool-3.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12602/gnome-tweak-tool-3.8.0-3.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-07-17 03:01:17 UTC
gnome-tweak-tool-3.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.